Name: xfce-utils
Version: 4.0.6
Release: alt1

Summary: Utilities for the XFce Desktop Environment
Summary(ru_RU.CP1251):     XFce
License: GPL
Group: Graphical desktop/XFce
Url: http://www.xfce.org/
Packager: Andrey Astafiev <andrei@altlinux.ru>

Source0: %name-%version.tar.bz2
Source2: xfce.wmsession
Source3: xfce4-48x48.xpm
Source4: xfce4-32x32.xpm
Source5: xfce4-16x16.xpm
Patch1: %name-4.0.5-alt-screensaver.patch
Patch2: %name-4.0.4-alt-no_xfcalendar.patch

Requires: libxfcegui4 >= %version, libxfce4mcs, xfce-mcs-manager >= %version

BuildPreReq: libxfcegui4-devel >= %version, libxfce4mcs-devel >= %version
BuildPreReq: xfce-mcs-manager-devel >= %version, xinitrc

# Automatically added by buildreq on Tue Mar 16 2004
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++
BuildRequires: glib2-devel libatk-devel libgtk+2-devel libpango-devel
BuildRequires: libstdc++-devel libxfce4util-devel pkgconfig

%description
%name contains utilities for the XFce Desktop Environment.

%description -l ru_RU.CP1251
%name      XFce.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
%configure
%make_build

%install
%make install DESTDIR=%buildroot
%__install -pD -m644 %SOURCE3 %buildroot%_liconsdir/XFce.xpm
%__install -pD -m644 %SOURCE4 %buildroot%_iconsdir/XFce.xpm
%__install -pD -m644 %SOURCE5 %buildroot%_miconsdir/XFce.xpm
%__install -pD -m644 %SOURCE2 %buildroot%_sysconfdir/X11/wmsession.d/10XFce
%find_lang %name

%post
%update_menus
%update_wms

%postun
%clean_menus
%clean_wms

%files -f %name.lang
%doc README TODO ChangeLog NEWS INSTALL COPYING AUTHORS
%_sysconfdir/X11/wmsession.d/*
%config(noreplace) %_sysconfdir/xfce4/*
%_bindir/*
%_libdir/xfce4/mcs-plugins/*.so
%_iconsdir/*.xpm
%_iconsdir/*/*.xpm
%_datadir/xfce4/*

%changelog
* Wed Jul 21 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.6-alt1
- 4.0.6

* Mon May 17 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.5-alt2
- Removed xscreensaver and xscreenlock from startup script.

* Sat Apr 17 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.5-alt1
- 4.0.5

* Wed Mar 24 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.4-alt2
- Removed xfcalendar from automatic startup.

* Tue Mar 16 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.4-alt1
- 4.0.4

* Mon Feb 02 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.3-alt2
- Modified patch for screen locking.

* Wed Jan 21 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.3-alt1
- 4.0.3

* Mon Dec 22 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.2-alt1
- 4.0.2
- Doesn't requires xscreensaver.

* Tue Nov 18 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.1-alt1
- 4.0.1

* Mon Nov 03 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.0-alt2
- Rebuilt with new icon.

* Fri Sep 26 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.0-alt1
- 4.0.0

* Fri Sep 12 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.4-alt1
- 3.99.4

* Fri Aug 29 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.3-alt0.9
- 3.99.3

* Sun Aug 17 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.2-alt0.9
- 3.99.2

* Mon Jul 14 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.1-alt0.9
- 3.99.1

* Fri Jun 13 2003 Andrey Astafiev <andrei@altlinux.ru> 3.90.0-alt0.9
- First version of RPM package for Sisyphus.
- Spec based on original version.
